summaryrefslogtreecommitdiffstats
path: root/.travis/nightlies.sh
diff options
context:
space:
mode:
authorPavlos Emm. Katsoulakis <paul@netdata.rocks>2019-08-02 13:36:42 +0300
committerPavlos Emm. Katsoulakis <paul@netdata.rocks>2019-08-02 13:36:42 +0300
commit79e5fd09cc89257eecf98926151e492e95cba687 (patch)
tree50615570b86017a44cdb7c6d28fa4105ea31b6e5 /.travis/nightlies.sh
parent2db6d758f843fbf6f50f303e6a704deeff3bcc8e (diff)
netdata/packaging: [ci skip] make slack usage a soft error here (the library should be available though, so this is a workaround fix until i figure out the WOW)
Diffstat (limited to '.travis/nightlies.sh')
-rwxr-xr-x.travis/nightlies.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/.travis/nightlies.sh b/.travis/nightlies.sh
index 002461041d..13a813d75d 100755
--- a/.travis/nightlies.sh
+++ b/.travis/nightlies.sh
@@ -10,9 +10,10 @@
# Author : Pawel Krupa (paulfantom)
# Author : Pavlos Emm. Katsoulakis (paul@netdata.cloud)
set -e
-
FAIL=0
+source tests/installer/slack.sh || echo "Could not load slack library"
+
# If we are not in netdata git repo, at the top level directory, fail
TOP_LEVEL=$(basename "$(git rev-parse --show-toplevel)")
CWD=$(git rev-parse --show-cdup || echo "")
@@ -43,7 +44,7 @@ NIGHTLIES_CHANGELOG_FAILED=0
if [ ${NIGHTLIES_CHANGELOG_FAILED} -eq 1 ]; then
echo "Changelog generation has failed, this is a soft error, process continues"
- post_message "TRAVIS_MESSAGE" "Changelog generation job for nightlies failed, possibly due to github issues" "${NOTIF_CHANNEL}"
+ post_message "TRAVIS_MESSAGE" "Changelog generation job for nightlies failed, possibly due to github issues" "${NOTIF_CHANNEL}" || echo "Slack notification failed"
fi
exit "${FAIL}"